Austin Group Defect Tracker

Aardvark Mark IV


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0001580 [Issue 8 drafts] Shell and Utilities Editorial Enhancement Request 2022-04-24 23:49 2022-05-26 10:22
Reporter calestyo View Status public  
Assigned To
Priority normal Resolution Accepted  
Status Applied   Product Version Draft 2.1
Name Christoph Anton Mitterer
Organization
User Reference
Section 2.12 Shell Execution Environment
Page Number 2351
Line Number 76080
Final Accepted Text
Summary 0001580: add a hint that env vars with invalid names might be passed on to the environments of programs/utilities
Description This is from https://www.austingroupbugs.net/view.php?id=1561#c5808 [^] .

It was pointed out in that issue by KRE, that the standard allows but doesn't mandate (see 2.9.1.6 point (1a) AND (2a) in draft 2.1) environment variables that don't have a valid name (in the sense of 3.207 Name) to be exported by a shell to invoked programs/utilities.

2.9.1.6 point (1a) AND (2a) both read:

> It is unspecified whether environment variables that were
> passed to the shell when it was invoked, but were not used
> to initialize shell variables (see Section 2.5.3) because
> they had invalid names, are included in the environment
> passed to execl() and (if execl() fails as described above)
> to the new shell.


It may be reasonable to add this information to the list (following line 76070) of things passed on to such invoked programs/utilities.
Desired Action For example, after line 76080 add another bullet item that repeats the relevant parts from 2.9.1.6:

* It is unspecified whether environment variables that
  were passed to the INVOKING shell when it was invoked itself,
  but were not used to initialize shell variables (see
  Section 2.5.3) because they had invalid names, are
  included in the INVOKED UTILITY‚ÄôS environment.

Capital letters merely denote additions of mine.
Tags tc3-2008
Attached Files

- Relationships

There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2022-04-24 23:49 calestyo New Issue
2022-04-24 23:49 calestyo Name => Christoph Anton Mitterer
2022-04-24 23:49 calestyo Section => 2.12 Shell Execution Environment
2022-04-24 23:49 calestyo Page Number => 2351
2022-04-24 23:49 calestyo Line Number => 76080
2022-05-05 15:33 Don Cragun Status New => Resolved
2022-05-05 15:33 Don Cragun Resolution Open => Accepted
2022-05-05 15:33 Don Cragun Tag Attached: tc3-2008
2022-05-26 10:22 geoffclare Status Resolved => Applied


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker